$(document).ready(function() {
	$('#ddlMarketModify').change(function(){
		if($(this).val() == '1' || $(this).val() == '2') $('#txtMarketModify').val('0'); else $('#txtMarketModify').val('1');
	});
	
	$('#ddlMemberModify').change(function(){
		if($(this).val() == '1' || $(this).val() == '2') $('#txtMemberModify').val('0'); else $('#txtMemberModify').val('1');
	});
	
	$('#btnSave').click(function(){
		if(confirm('您现在批量修改的是[' + $('#ddlCategory option[@selected]').text().replace('├','').replace('　','').replace('　','').replace('　','').replace('　','').replace('　','') + "]的价格"))
		{
			if(confirm('确定要修改价格吗?修改后将不可恢复')){
				if($('#ddlMarketModify').val() == '3' && $('#txtMarketModify').val() == '0')
				{
					if(confirm('此分类下的商品的市场价格将全部变为0，是否确认修改')){}else{return false;}
				}
				if($('#ddlMemberModify').val() == '3' && $('#txtMemberModify').val() == '0')
				{
					if(confirm('此分类下的商品的会员价格将全部变为0，是否确认修改')){}else{return false;}
				}
				if($('#ddlMarketModify').val() == '4' && $('#txtMarketModify').val() == '0' || $('#ddlMemberModify').val() == '4' && $('#txtMemberModify').val() == '0')
				{
					alert('不能除以0');return false;
				}
			}
			else { return false; }
		}
		else return false;
	});	
});

//绑定数据
function BindList(urldata){
    $('#template').hide();//将第一行模板隐藏
    $.ajax({
        type:"get",
        dataType:"json",
        url:'Repairs.aspx?NoCopyRight=1&type=ajax&Action=GetList&PageSize=' + PageSize + '&IsConfirm=' + isConfirm,
        data:urldata,
        cache:false,
        success:function(msg){
            $('tr:gt(0)','#datas').remove();
            var data = msg.Repair;
            $.each(data,function(i,n){
               var row = $('#template').clone();
               row.show().mouseover(function(){$(this).addClass('on')}).mouseout(function(){$(this).removeClass('on')});
               row.find('#ID').text(n.RepairID);
               row.find('#OrderNo').html(n.OrderNo);
               row.find('#ProductNo').html(n.ProductNo);
               row.find('#ProductName').html(n.ProductName);
               row.find('#RepairType').html(GetRepairType(n.RepairType));
               row.find('#MemberName').text(n.MemberName);
               row.find('#AddTime').text(n.AddTime);
               row.find('#Detail')
                    .html('<span class="hand span_reply" id="click_reply_' + n.RepairID + '">详细</span>')
                    .click(function(){
                        $('#frmdetail').attr('src','RepairDetail.aspx?ID=' + n.RepairID);
                        $('#popupContact').popup({width:'80%',height:'500',popupHead:'popupHead',btnClose:'popupClose'});
                    });
               row.find('#Delete').html('<span class="hand">删除</span>').click(function(){
                    if(confirm('确定要删除吗?')){
                        Delete(n.RepairID);
                    };
               });
               row.attr('id','item_'+i).appendTo($('#datas'));
            });
           
            //分页
            $('.sub_container_page').show();
            var pagerStyle = "flickr";//jPagerBar样式
            ShowPageBar("pageDataList1_Pager",//[containerId]
               "Complaint.aspx",//[url]
               {style:pagerStyle,mark:"pageDataList1Mark",
               totalCount:msg.totalCount,showPageNumber:3,pageCount:PageSize,currentPageIndex:CurrentPage,noRecordTip:" 没有记录",preWord:"上一页",nextWord:"下一页",
               onclick:"CurrentPage={pageindex};BindList('Page={pageindex}');return false;"}//[attr]
            );
        },
        error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!');}else{alert(textStatus)};}
    });
};

function checkLoginStatus(data){
    var result = true;
    if(data.indexOf('<!DOCTYPE') != -1){
        result = false;
        alert('身份已过期,请重新登陆!');
    };
    return result;
};